Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162204 - crash when closing a message window
Summary: crash when closing a message window
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 19:47 UTC by Bryan W Clark
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version: libgal2-2.4.3-1.fc4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-11 03:49:30 UTC


Attachments (Terms of Use)

Description Bryan W Clark 2005-06-30 19:47:58 UTC
[clarkbw@rhbw ~]$ rpm -qv evolution
evolution-2.2.2-11.fc5

After I've opened a message in a new window, if I close the message window it
crashes with the following stack trace.  I can reproduce this crash everytime
with pretty much the same trace.

Loaded symbols for /usr/lib/evolution/2.2/plugins/liborg-gnome-prefer-plain.so
0x00e7e402 in ?? ()
(gdb) bt
#0  0x00e7e402 in ?? ()
#1  0x009f9fbb in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x04f56080 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  0x08063565 in segv_redirect (sig=11) at main.c:428
#4  <signal handler called>
#5  0x053142d9 in e_canvas_hide_tooltip () from /usr/lib/libgal-2.4.so.0
#6  0x0534aca1 in e_table_item_get_printable () from /usr/lib/libgal-2.4.so.0
#7  0x00a0dbb1 in IA__g_object_unref (_object=0xade9ae0) at gobject.c:565
#8  0x00a0e5c2 in IA__g_object_run_dispose (object=0xade9ae0) at gobject.c:611
#9  0x04d19fef in IA__gtk_object_destroy (object=0xade9ae0) at gtkobject.c:363
#10 0x002cadf9 in gnome_canvas_item_request_update () from
/usr/lib/libgnomecanvas-2.so.0
#11 0x00a18017 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9aa3db0,
return_value=0x0, n_param_values=1,
    param_values=0xbfef13dc, invocation_hint=0xbfef12dc, marshal_data=0x2cad81)
at gmarshal.c:77
#12 0x00a0af8b in g_type_class_meta_marshal (closure=0x9aa3db0,
return_value=0x0, n_param_values=0, param_values=0xbfef13dc,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#13 0x00a0b475 in IA__g_closure_invoke (closure=0x9aa3db0, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#14 0x00a1b681 in signal_emit_unlocked_R (node=0x9aa3df8, detail=0,
instance=0xa118538, emission_return=0x0,
    instance_and_params=0xbfef13dc) at gsignal.c:2604
#15 0x00a1cbc8 in IA__g_signal_emit_valist (instance=0xa118538, signal_id=2,
detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#16 0x00a1cf19 in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0) at
gsignal.c:2291
#17 0x04d1a05f in gtk_object_dispose (gobject=0xa118538) at gtkobject.c:378
#18 0x002d00f0 in gnome_canvas_item_raise () from /usr/lib/libgnomecanvas-2.so.0
#19 0x00a0e5ba in IA__g_object_run_dispose (object=0xa118538) at gobject.c:610
#20 0x04d19fef in IA__gtk_object_destroy (object=0xa118538) at gtkobject.c:363
#21 0x002cbf78 in gnome_canvas_item_i2c_affine () from
/usr/lib/libgnomecanvas-2.so.0
#22 0x00a18017 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9aa3db0,
return_value=0x0, n_param_values=1,
    param_values=0xbfef18fc, invocation_hint=0xbfef17fc, marshal_data=0x2cbef3)
at gmarshal.c:77
#23 0x00a0af8b in g_type_class_meta_marshal (closure=0x9aa3db0,
return_value=0x0, n_param_values=0, param_values=0xbfef18fc,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#24 0x00a0b475 in IA__g_closure_invoke (closure=0x9aa3db0, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#25 0x00a1b681 in signal_emit_unlocked_R (node=0x9aa3df8, detail=0,
instance=0xa10d6c0, emission_return=0x0,
    instance_and_params=0xbfef18fc) at gsignal.c:2604
#26 0x00a1cbc8 in IA__g_signal_emit_valist (instance=0xa10d6c0, signal_id=2,
detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#27 0x00a1cf19 in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0) at
gsignal.c:2291
#28 0x04d1a05f in gtk_object_dispose (gobject=0xa10d6c0) at gtkobject.c:378
#29 0x04df523a in gtk_widget_dispose (object=0xa10d6c0) at gtkwidget.c:6584
#30 0x05314538 in e_canvas_popup_tooltip () from /usr/lib/libgal-2.4.so.0
#31 0x00a0e5ba in IA__g_object_run_dispose (object=0xa10d6c0) at gobject.c:610
#32 0x04d19fef in IA__gtk_object_destroy (object=0xa10d6c0) at gtkobject.c:363
#33 0x04dec41a in IA__gtk_widget_destroy (widget=0xa10d6c0) at gtkwidget.c:1966
---Type <return> to continue, or q <return> to quit---
#34 0x053752c1 in e_tree_drag_source_unset () from /usr/lib/libgal-2.4.so.0
#35 0x00a0e5ba in IA__g_object_run_dispose (object=0xaeb9e90) at gobject.c:610
#36 0x04d19fef in IA__gtk_object_destroy (object=0xaeb9e90) at gtkobject.c:363
#37 0x04dec41a in IA__gtk_widget_destroy (widget=0xaeb9e90) at gtkwidget.c:1966
#38 0x04c1c055 in gtk_bin_forall (container=0x0, include_internals=0,
callback=0x4dec3d9 <IA__gtk_widget_destroy>,
    callback_data=0x0) at gtkbin.c:166
#39 0x04d3e8f9 in gtk_scrolled_window_forall (container=0xa1067b8,
include_internals=0,
    callback=0x4dec3d9 <IA__gtk_widget_destroy>, callback_data=0x0) at
gtkscrolledwindow.c:816
#40 0x04c5fa9a in IA__gtk_container_foreach (container=0xa1067b8,
callback=0x4dec3d9 <IA__gtk_widget_destroy>,
    callback_data=0x0) at gtkcontainer.c:1292
#41 0x04c61c06 in gtk_container_destroy (object=0xa1067b8) at gtkcontainer.c:829
#42 0x04d3e520 in gtk_scrolled_window_destroy (object=0xa1067b8) at
gtkscrolledwindow.c:675
#43 0x076adff2 in message_list_destroy (object=0xa1067b8) at message-list.c:1908
#44 0x00a18017 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9aa3db0,
return_value=0x0, n_param_values=1,
    param_values=0xbfef1fac, invocation_hint=0xbfef1eac, marshal_data=0x76ade9c)
at gmarshal.c:77
#45 0x00a0af8b in g_type_class_meta_marshal (closure=0x9aa3db0,
return_value=0x0, n_param_values=0, param_values=0xbfef1fac,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#46 0x00a0b475 in IA__g_closure_invoke (closure=0x9aa3db0, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#47 0x00a1b681 in signal_emit_unlocked_R (node=0x9aa3df8, detail=0,
instance=0xa1067b8, emission_return=0x0,
    instance_and_params=0xbfef1fac) at gsignal.c:2604
#48 0x00a1cbc8 in IA__g_signal_emit_valist (instance=0xa1067b8, signal_id=2,
detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#49 0x00a1cf19 in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0) at
gsignal.c:2291
#50 0x04d1a05f in gtk_object_dispose (gobject=0xa1067b8) at gtkobject.c:378
#51 0x04df523a in gtk_widget_dispose (object=0xa1067b8) at gtkwidget.c:6584
#52 0x00a0e5ba in IA__g_object_run_dispose (object=0xa1067b8) at gobject.c:610
#53 0x04d19fef in IA__gtk_object_destroy (object=0xa1067b8) at gtkobject.c:363
#54 0x04dec41a in IA__gtk_widget_destroy (widget=0xa1067b8) at gtkwidget.c:1966
#55 0x07686393 in emmb_destroy (o=0xa11caf8) at em-message-browser.c:104
#56 0x00a18017 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9aa3db0,
return_value=0x0, n_param_values=1,
    param_values=0xbfef24ec, invocation_hint=0xbfef23ec, marshal_data=0x768636e)
at gmarshal.c:77
#57 0x00a0af8b in g_type_class_meta_marshal (closure=0x9aa3db0,
return_value=0x0, n_param_values=0, param_values=0xbfef24ec,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#58 0x00a0b475 in IA__g_closure_invoke (closure=0x9aa3db0, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#59 0x00a1b681 in signal_emit_unlocked_R (node=0x9aa3df8, detail=0,
instance=0xa11caf8, emission_return=0x0,
    instance_and_params=0xbfef24ec) at gsignal.c:2604
#60 0x00a1cbc8 in IA__g_signal_emit_valist (instance=0xa11caf8, signal_id=2,
detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#61 0x00a1cf19 in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0) at
gsignal.c:2291
#62 0x04d1a05f in gtk_object_dispose (gobject=0xa11caf8) at gtkobject.c:378
#63 0x04df523a in gtk_widget_dispose (object=0xa11caf8) at gtkwidget.c:6584
#64 0x00a0e5ba in IA__g_object_run_dispose (object=0xa11caf8) at gobject.c:610
---Type <return> to continue, or q <return> to quit---
#65 0x04d19fef in IA__gtk_object_destroy (object=0xa11caf8) at gtkobject.c:363
#66 0x04dec41a in IA__gtk_widget_destroy (widget=0xa11caf8) at gtkwidget.c:1966
#67 0x04fb2968 in bonobo_dock_get_type () from /usr/lib/libbonoboui-2.so.0
#68 0x04c5fa9a in IA__gtk_container_foreach (container=0xa1bddd8,
callback=0x4dec3d9 <IA__gtk_widget_destroy>,
    callback_data=0x0) at gtkcontainer.c:1292
#69 0x04c61c06 in gtk_container_destroy (object=0xa1bddd8) at gtkcontainer.c:829
#70 0x00a18017 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9aa3db0,
return_value=0x0, n_param_values=1,
    param_values=0xbfef2a7c, invocation_hint=0xbfef297c, marshal_data=0x4c61ba5)
at gmarshal.c:77
#71 0x00a0af8b in g_type_class_meta_marshal (closure=0x9aa3db0,
return_value=0x0, n_param_values=0, param_values=0xbfef2a7c,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#72 0x00a0b475 in IA__g_closure_invoke (closure=0x9aa3db0, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#73 0x00a1b681 in signal_emit_unlocked_R (node=0x9aa3df8, detail=0,
instance=0xa1bddd8, emission_return=0x0,
    instance_and_params=0xbfef2a7c) at gsignal.c:2604
#74 0x00a1cbc8 in IA__g_signal_emit_valist (instance=0xa1bddd8, signal_id=2,
detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#75 0x00a1cf19 in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0) at
gsignal.c:2291
#76 0x04d1a05f in gtk_object_dispose (gobject=0xa1bddd8) at gtkobject.c:378
#77 0x04df523a in gtk_widget_dispose (object=0xa1bddd8) at gtkwidget.c:6584
#78 0x00a0e5ba in IA__g_object_run_dispose (object=0xa1bddd8) at gobject.c:610
#79 0x04d19fef in IA__gtk_object_destroy (object=0xa1bddd8) at gtkobject.c:363
#80 0x04dec41a in IA__gtk_widget_destroy (widget=0xa1bddd8) at gtkwidget.c:1966
#81 0x04c1fa66 in gtk_box_forall (container=0x0, include_internals=0,
callback=0x4dec3d9 <IA__gtk_widget_destroy>,
    callback_data=0x0) at gtkbox.c:703
#82 0x04c5fa9a in IA__gtk_container_foreach (container=0xa10e7f0,
callback=0x4dec3d9 <IA__gtk_widget_destroy>,
    callback_data=0x0) at gtkcontainer.c:1292
#83 0x04c61c06 in gtk_container_destroy (object=0xa10e7f0) at gtkcontainer.c:829
#84 0x00a18017 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9aa3db0,
return_value=0x0, n_param_values=1,
    param_values=0xbfef300c, invocation_hint=0xbfef2f0c, marshal_data=0x4c61ba5)
at gmarshal.c:77
#85 0x00a0af8b in g_type_class_meta_marshal (closure=0x9aa3db0,
return_value=0x0, n_param_values=0, param_values=0xbfef300c,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#86 0x00a0b475 in IA__g_closure_invoke (closure=0x9aa3db0, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#87 0x00a1b681 in signal_emit_unlocked_R (node=0x9aa3df8, detail=0,
instance=0xa10e7f0, emission_return=0x0,
    instance_and_params=0xbfef300c) at gsignal.c:2604
#88 0x00a1cbc8 in IA__g_signal_emit_valist (instance=0xa10e7f0, signal_id=2,
detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#89 0x00a1cf19 in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0) at
gsignal.c:2291
#90 0x04d1a05f in gtk_object_dispose (gobject=0xa10e7f0) at gtkobject.c:378
#91 0x04df523a in gtk_widget_dispose (object=0xa10e7f0) at gtkwidget.c:6584
#92 0x00a0e5ba in IA__g_object_run_dispose (object=0xa10e7f0) at gobject.c:610
#93 0x04d19fef in IA__gtk_object_destroy (object=0xa10e7f0) at gtkobject.c:363
#94 0x04dec41a in IA__gtk_widget_destroy (widget=0xa10e7f0) at gtkwidget.c:1966
#95 0x04c1c055 in gtk_bin_forall (container=0x0, include_internals=0,
callback=0x4dec3d9 <IA__gtk_widget_destroy>,
---Type <return> to continue, or q <return> to quit---
    callback_data=0x0) at gtkbin.c:166
#96 0x04c5fa9a in IA__gtk_container_foreach (container=0xa10e680,
callback=0x4dec3d9 <IA__gtk_widget_destroy>,
    callback_data=0x0) at gtkcontainer.c:1292
#97 0x04c61c06 in gtk_container_destroy (object=0xa10e680) at gtkcontainer.c:829
#98 0x04e0445a in gtk_window_destroy (object=0xa10e680) at gtkwindow.c:3826
#99 0x00a18017 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9aa3db0,
return_value=0x0, n_param_values=1,
    param_values=0xbfef35bc, invocation_hint=0xbfef34bc, marshal_data=0x4e043b2)
at gmarshal.c:77
#100 0x00a0af8b in g_type_class_meta_marshal (closure=0x9aa3db0,
return_value=0x0, n_param_values=0, param_values=0xbfef35bc,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#101 0x00a0b475 in IA__g_closure_invoke (closure=0x9aa3db0, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#102 0x00a1b681 in signal_emit_unlocked_R (node=0x9aa3df8, detail=0,
instance=0xa10e680, emission_return=0x0,
    instance_and_params=0xbfef35bc) at gsignal.c:2604
#103 0x00a1cbc8 in IA__g_signal_emit_valist (instance=0xa10e680, signal_id=2,
detail=0, var_args=Variable "var_args" is not available.
) at gsignal.c:2247
#104 0x00a1cf19 in IA__g_signal_emit (instance=0x0, signal_id=0, detail=0) at
gsignal.c:2291
#105 0x04d1a05f in gtk_object_dispose (gobject=0xa10e680) at gtkobject.c:378
#106 0x04df523a in gtk_widget_dispose (object=0xa10e680) at gtkwidget.c:6584
#107 0x04dfc9e6 in gtk_window_dispose (object=0xa10e680) at gtkwindow.c:1760
#108 0x04fe3bed in bonobo_window_get_contents () from /usr/lib/libbonoboui-2.so.0
#109 0x00a0e5ba in IA__g_object_run_dispose (object=0xa10e680) at gobject.c:610
#110 0x04d19fef in IA__gtk_object_destroy (object=0xa10e680) at gtkobject.c:363
#111 0x04dec41a in IA__gtk_widget_destroy (widget=0xa10e680) at gtkwidget.c:1966
#112 0x076868b3 in emmb_close (uid=0xa10b688, data=0x0, path=0xaf01228
"MessageBrowserClose") at em-message-browser.c:270
#113 0x04fc8047 in bonobo_socket_add_id () from /usr/lib/libbonoboui-2.so.0
#114 0x00a0b475 in IA__g_closure_invoke (closure=0xa109640, return_value=0x0,
n_param_values=0, param_values=0x0,
    invocation_hint=0x0) at gclosure.c:437
#115 0x0691a80f in bonobo_closure_invoke_va_list () from /usr/lib/libbonobo-2.so.0
#116 0x0691aa47 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#117 0xbfef3a60 in ?? ()
#118 0xbfef3abc in ?? ()
#119 0x00979e72 in IA__g_hash_table_lookup (hash_table=0xbfef3a74, key=0x0) at
ghash.c:193
Previous frame inner to this frame (corrupt stack?)

Comment 1 Daniel Malmgren 2005-07-01 05:41:21 UTC
I get the exact same. Everything that seems related is upgraded to latest
rawhide. I don't know exactly when it started, but I didn't see it a few days ago.

I guess the "version" field shouldn't be set to "test3" though, right?

Comment 2 Gustavo A. Lozano 2005-07-03 23:42:42 UTC
The same crash is present here, but the crash is everytime I start Evolution, as
a result, I have no evolution working at all. Very same crash related to libgal

Comment 3 Kjartan Maraas 2005-07-07 13:56:32 UTC
This has been fixed in a newer libgal release. This was a bug that was exposed
by some recent libgnomecanvas changes. I guess someone needs to push a
libgal2-2.4.3 release into rawhide and maybe as an update for FC4 if that
includes the new libgnomecanvas release.

Comment 5 Dave Malcolm 2005-07-22 17:44:19 UTC
I released a libgal2 test update for FC4 2.4.3-1.fc4:
https://www.redhat.com/archives/fedora-test-list/2005-June/msg01122.html

Please download it and verify that it fixes the problem.

I'll push it into rawhide as well shortly

Comment 6 Dave Malcolm 2005-07-22 18:22:45 UTC
2.4.3-2 should make it into tomorrow's rawhide.



Comment 8 John Thacker 2006-10-29 21:19:13 UTC
[Mass switching of bugs filed against FC4T3 to fc4test3 from test3]

Comment 9 Matthew Barnes 2006-11-11 03:49:30 UTC
Closing this bug since the previous comments indicate that the problem should be
fixed now.  Please feel free to re-open if you encounter the crash again.


Note You need to log in before you can comment on or make changes to this bug.